XtParseAcceleratorTable(3)

NAME
XtParseAcceleratorTable, XtInstallAccelerators, XtInstallAllAccelerators - managing accelerator tables

SYNTAX
#include <X11/Intrinsic.h>

XtAccelerators XtParseAcceleratorTable(const char * source);

void XtInstallAccelerators(Widget destination, Widget source);

void XtInstallAllAccelerators(Widget destination, Widget source);

ARGUMENTS

source
    Specifies the accelerator table to compile.

destination
    Specifies the widget on which the accelerators are to be installed.

source
    Specifies the widget or the root widget of the widget tree from which the accelerators are to come.

DESCRIPTION
The XtParseAcceleratorTable function compiles the accelerator table into the opaque internal representation.

The XtInstallAccelerators function installs the accelerators from source onto destination by augmenting the destination translations with the source accelerators. If the source display_accelerator method is non-NULL, XtInstallAccelerators calls it with the source widget and a string representation of the accelerator table, which indicates that its accelerators have been installed and that it should display them appropriately. The string representation of the accelerator table is its canonical translation table representation.

The XtInstallAllAccelerators function recursively descends the widget tree rooted at source and installs the accelerators of each widget encountered onto destination. A common use os to call XtInstallAllAccelerators and pass the application main window as the source.

SEE ALSO
XtParseTranslationTable(1)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface